Skip to main content

Request oauth window uri

This endpoint will generate an oauth_window_uri for the specified member.

GET
/users/{user_guid}/members/{member_guid}/oauth_window_uri

Path Parameters

FieldRequiredType

member_guid

The unique id for a member.

Required
String

user_guid

The unique identifier for a user, beginning with the prefix USR-.

Required
String

Query Parameters

FieldRequiredType

client_redirect_url

A URL that MX will redirect to at the end of OAuth with additional query parameters. Only available with referral_source=APP.

Optional
String

enable_app2app

This indicates whether OAuth app2app behavior is enabled for institutions that support it. Defaults to true. When set to false, any oauth_window_uri generated will not direct the end user to the institution's mobile application. This setting is not persistent. This setting currently only affects Chase institutions.

Optional
String

referral_source

Must be either BROWSER or APP depending on the implementation. Defaults to BROWSER.

Optional
String

skip_aggregation

Setting this parameter to true will prevent the member from automatically aggregating after being redirected from the authorization page.

Optional
Boolean

ui_message_webview_url_scheme

A scheme for routing the user back to the application state they were previously in. Only available with referral_source=APP.

Optional
String
Loading...